package com.caimei365.user.service.impl;

import com.caimei365.user.mapper.BaseMapper;
import com.caimei365.user.mapper.CmProvidersMapper;
import com.caimei365.user.model.po.CmProviders;
import com.caimei365.user.model.po.CmRelatedImage;
import com.caimei365.user.service.CmProvidersService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * Service业务层处理
 *
 * @author Kaick
 * @date 2023-12-14
 */
@Service
public class CmProvidersServiceImpl implements CmProvidersService
{
    @Resource
    private CmProvidersMapper cmProvidersMapper;
    @Resource
    private BaseMapper baseMapper;

    /**
     * 通过对象查询
     *
     * @param cmProviders
     * @return
     */
    @Override
    public CmProviders getByCmProviders(CmProviders cmProviders)
    {
        CmProviders byCmProviders = cmProvidersMapper.getByCmProviders(cmProviders);
        if(null!=byCmProviders){
            byCmProviders.setTextRelateds(baseMapper.getRelatedImageList(new CmRelatedImage().setType("2").setAuthorId(byCmProviders.getId())));
        }
        return byCmProviders;
    }


}
